# List accommodation reviews

Returns reviews for specified hotel_ids and filters. Available filters are country,
language of the review, lower and upper bound of the review score, and timestamp of the last change to the review.
The 'last_change' output field will only be displayed if the last_change=... input parameter is set.

Endpoint: GET /demand-api-v2-compatible/reviews
Version: 1.1
Security: BearerAuth

## Query parameters:

  - `reviewsInputDto` (object, required)

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.ruid` (string)

  - `result` (array)

  - `result.hotel_id` (integer)
    Id of the reviewed hotel.

  - `result.average_score` (number)
    Average score for this review.

  - `result.country` (string)
    Reviewer's location represented by a two-letter ISO country code.

  - `result.headline` (string)
    Headline or summary of the review.

  - `result.hotel_url` (string)
    URL of the hotel's page on Booking.com.

  - `result.language` (string)
    Language that the review is in.
 Please check the "Possible Values" section of the documentation for the supported language codes.

  - `result.pros` (string)
    Positive comments from this review.

  - `result.cons` (string)
    Negative comments from this review.

  - `result.review_id` (integer)
    Unique ID of the review.

  - `result.date` (string)
    Date of the review in Europe/Amsterdam time zone. Format: 'yyyy-MM-dd HH:mm:ss'.
    Example: "2025-11-20 14:05:30"

  - `result.last_change` (string)
    Date of the last change to the review in Europe/Amsterdam time zone. Returned only if 'last_change' filter is added.
Format: 'yyyy-MM-dd HH:mm:ss'.
    Example: "2025-11-20 15:05:30"

  - `result.text_meets_guidelines` (boolean)
    Set to true when review meets the guidelines. The review text will be removed if it doesn't meet guidelines

  - `result.author` (object)
    Information about the author of this review.

  - `result.author.country` (string)
    Two-letter ISO code of the reviewer's country.

  - `result.author.name` (string)
    Reviewer's name.

  - `result.author.type` (string)
    Reviewer type.

  - `result.review_score_word` (string)
    Text version of the review score.


